View Issue Details

IDProjectCategoryView StatusLast Update
0023362mantisbtauthenticationpublic2017-10-06 16:59
ReporterJagSwag2014 Assigned Toatrol  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionno change required 
Product Version2.6.0 
Target VersionFixed in Version 
Summary0023362: Email Sends Incorrect Confirmation Email
Description

This is the email:
https://pastebin.com/H1ZZyQ2Q

When you click on the link given, it sends you to a APPLICATION ERROR #1901 page. I found that the link is having "3D" inserted before the user ID and hash. Is this an error with the service or possibly my email? Also, is the email supposed to be formatted like it is out of the box?

Thanks!

Steps To Reproduce

(Sign up/reset password) for issue tracker, click on confirmation email.

Additional Information

I have also tried the latest nightly build with the same error.

TagsNo tags attached.

Relationships

related to 0019829 new Emails looks scrambled 

Activities

atrol

atrol

2017-09-15 02:31

developer   ~0057717

Does changing the following line (should be line 1315) in core/email_api from
$t_mail->Encoding = 'quoted-printable';
to
$t_mail->Encoding = '8bit';
fix the issue?

atrol

atrol

2017-09-25 17:10

developer   ~0057814

JagSwag2014,

You did not provide any feedback; I am therefore resolving this issue as "no change required".

Feel free to reopen the issue at a later time and provide the requested information.

Issue History

Date Modified Username Field Change
2017-09-15 00:55 JagSwag2014 New Issue
2017-09-15 02:31 atrol Status new => feedback
2017-09-15 02:31 atrol Note Added: 0057717
2017-09-15 02:32 atrol Relationship added related to 0019829
2017-09-25 17:10 atrol Assigned To => atrol
2017-09-25 17:10 atrol Status feedback => resolved
2017-09-25 17:10 atrol Resolution open => no change required
2017-09-25 17:10 atrol Note Added: 0057814
2017-10-06 16:59 atrol Status resolved => closed